

function setHospitalObject(obj){
    //alert("setHospitalObject->"+encodeObject(obj)); //##
    var st = encodeObject(obj);
    window.localStorage["hospitalObject"] = encodeSTRING(st);
}
function hospitalObject(){
    var st = window.localStorage["hospitalObject"];
    st = decodeSTRING(st);
    //alert("hospitalObject->"+st); //##
    return decodeObject(st);
}

function setOmitStatus(elm){
    // 空欄省略モードの status を localStorage へ記憶
    window.localStorage["prefOmitStatus"] = (elm.checked) ? "1" : "0";
}
function omitStatus(){
    // 空欄省略モードの status を返す
    var status = window.localStorage["prefOmitStatus"];
    return (status) ? status * 1 : 0;
}

function setNoaDebug(elm){
    var status = (elm.checked) ? "1" : "";
    window.localStorage["noaDebug"] = status;
}
function noaDebug(){
    // NOA のデバッグ・ステータスを返す
    return (window.localStorage["noaDebug"]) ? 1 : 0;
}

// function setNoCheckWaiting(elm) は GUI と連携させるため noa.js に実装
function noCheckWaiting(){
    // 受付チェックの status を返す
    var status = window.localStorage["noCheckWaiting"];
    return (status) ? status * 1 : 0; // default は 0: チェックする
}

function setOmitProblem(elm){
    // problemList 非表示モードの status を localStorage へ記憶
    window.localStorage["omitProblemStatus"] = (elm.checked) ? "1" : "0";
}
function omitProblem(){
    // roblemList 非表示省略モードの status を返す
    var status = window.localStorage["omitProblemStatus"];
    return (status) ? status * 1 : 0;
}

function setPagePrintFontSize(elm){
    window.localStorage["smallPagePrintFontSize"] = (elm.checked) ? "1" : "0";
}
function pagePrintFontSize(){
	// ページ印刷のフォントサイズの状態を返す( 0:lagge 1:small )
    var status = window.localStorage["smallPagePrintFontSize"];
    return (status) ? status * 1 : 0;
}

function setPagePrintWidth(elm){
    window.localStorage["smallPagePrintWidth"] = (elm.checked) ? "1" : "0";
}
function pagePrintWidth(){
	// ページ印刷のページ巾の状態を返す( 0:lagge 1:small )
    var status = window.localStorage["smallPagePrintWidth"];
    return (status) ? status * 1 : 0;
}

function setShowHelp(elm){
    window.localStorage["showNoaHelp"] = (elm.checked) ? "1" : "0";
}
function showHelp(){
	// NOA 立ち上げ時にヘルプを表示せず
    var status = window.localStorage["showNoaHelp"];
    return (status && status * 1 > 0) ? 1 : 0;
}

function setStoragedKey(key){
    window.localStorage["storagedSearchKey"] = key;
}
function storagedKey(){
    // 以前使われた検索キー
    var key = window.localStorage["storagedSearchKey"];
    return (key) ? key : "";
}

function setBookingCheck(elm){
    window.localStorage["bookingCheck"] = (elm.checked) ? "1" : "0";
}
function bookingCheck(){
    // 診療済を表示しない status を返す
    var status = window.localStorage["bookingCheck"];
    return (status) ? status * 1 : 0;
}

function setBookingTodayCheck(elm){
    window.localStorage["bookingTodayCheck"] = (elm.checked) ? "1" : "0";
}
function bookingTodayCheck(){
    // 診療済を表示しない status を返す
    var status = window.localStorage["bookingTodayCheck"];
    return (status) ? status * 1 : 0;
}

function setBookingReverse(status){
    window.localStorage["bookingReverse"] = status;
}
function bookingReverse(){
    // 待受リストを逆ソートする status を返す
    return (window.localStorage["bookingReverse"]) ? true : false;
}

function setAccessLogReverse(status){
    window.localStorage["accessLogReverse"] = status;
}
function accessLogReverse(){
    // 受信履歴リストを逆ソートする status を返す
    return (window.localStorage["accessLogReverse"]) ? true : false;
}

function setCalendarIsReverse(elm){
    window.localStorage["calendarIsReverse"] = (elm.checked) ? "1" : "0";
}
function calendarIsReverse(){
    // 受信履歴リストを逆ソートする status を返す
    var status = window.localStorage["calendarIsReverse"];
    return (status) ? status * 1 : 0;
}

/* === リクエストによっては復活
function setAddPageStatus(elm){
    // オープン時に新規ページ追加 status を localStorage へ記憶
    window.localStorage["addPageStatus"] = (elm.checked) ? "1" : "0";
}
function addPageStatus(){
    // 受診者リストからカルテ・オープン時に新規ページ追加 status を返す
    var status = window.localStorage["addPageStatus"];
    return (status) ? status * 1 : 0;
}
*/

